Bug 174723 - After upgrade to any 2.6.14 series kernels, auto mounting of external ieee1394 drives fails
After upgrade to any 2.6.14 series kernels, auto mounting of external ieee139...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
: 175998 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-01 12:49 EST by PvR
Modified: 2013-03-05 22:44 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.18-1.2257.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 21:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output (97.49 KB, text/plain)
2005-12-01 13:54 EST, PvR
no flags Details

  None (edit)
Description PvR 2005-12-01 12:49:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I'm not sure if this is HAL or SELinux or kernel related but ever since upgrading to any of the the 2.6.14 kernels, attaching an external vfat firewire drive no longer automounts to /media/VOLUME_NAME, this worked fine with 2.6.13. It seems kernel specific because when I reboot with 2.6.13 (everything else stays the same)  it works again. Here's the syslog from 2.6.14 (does not work):

ieee1394: Error parsing configrom for node 0-00:1023
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
ieee1394: Node added: ID:BUS[0-00:1023]  GUID[00050001e00f9c70]
sbp2: $Rev: 1306 $ Ben Collins <bcollins@debian.org>
ieee1394: sbp2: Driver forced to serialize I/O (serialize_io=1)
ieee1394: sbp2: Try serialize_io=0 for better performance
scsi1 : SCSI emulation for IEEE-1394 SBP-2 Devices
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: Node 0-00:1023: Max speed [S400] - Max payload [2048]
  Vendor: ST320082  Model: 2A                Rev:
  Type:   Direct-Access-RBC                  ANSI SCSI revision: 04
SCSI device sdb: 390721968 512-byte hdwr sectors (200050 MB)
sdb: asking for cache data failed
sdb: assuming drive cache: write through
SCSI device sdb: 390721968 512-byte hdwr sectors (200050 MB)
sdb: asking for cache data failed
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi0, channel 0, id 0, lun 0,  type 0
Attached scsi generic sg1 at scsi1, channel 0, id 0, lun 0,  type 14

If I mount this drive manually, mount /dev/sdb1 /mnt/loop it works fine. 

Version-Release number of selected component (if applicable):
hal-0.5.2-2 kernel-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot with 2.6.14 series kernel
2. Attach external firewire drive
3. Check that it did not get auto mounted under /media as expected
  

Actual Results:  The drive was not automounted.

Expected Results:  The should be automounted as /media/VOLUME_LABEL

Additional info:
Comment 1 John (J5) Palmieri 2005-12-01 13:27:42 EST
Hi, can you attach the output of lshal and the contents of your /etc/fstab with
the drive plugged in?  Thanks.
Comment 2 PvR 2005-12-01 13:54:22 EST
Created attachment 121699 [details]
lshal output
Comment 3 PvR 2005-12-01 13:55:50 EST
Hi John,

I assume you meant with 2.6.14 (broken?), I can supply the same with 2.6.13
(working) if you wish.

Here's the fstab:
[root@dell ~]# cat /etc/fstab
# This file is edited by fstab-sync - see 'man fstab-sync' for details
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
/dev/devpts             /dev/pts                devpts  gid=5,mode=620  0 0
/dev/shm                /dev/shm                tmpfs   defaults        0 0
/dev/proc               /proc                   proc    defaults        0 0
/dev/sys                /sys                    sysfs   defaults        0 0
LABEL=SWAP-sda6         swap                    swap    defaults        0 0
/dev/hdc                /media/cdrecorder       auto   
pamconsole,exec,noauto,managed 0 0

Thanks!
Peter
Comment 4 Leon Fauster 2005-12-10 15:15:32 EST
seems to be the same 
Bugzilla Bug 174537 – FireWire not working in recent 2.6.14 kernels
Comment 5 PvR 2005-12-12 13:49:22 EST
Not quite. As I understand from those posters there is some problem between the
scsi emulation layer and registering the device, mine works fine, I just have to
mount it manually, ie, there is no apparent problem with firewire or scsi. 
Comment 6 PvR 2006-01-17 01:21:57 EST
This problem is also present with a gen 2 ipod (as expected) 
Comment 7 Stefan Richter 2006-02-14 13:42:08 EST
Bug 174537 is another, more general incarnation of the same bug.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175998#c15
Comment 8 Dave Jones 2006-02-18 23:57:02 EST
*** Bug 175998 has been marked as a duplicate of this bug. ***
Comment 9 Christian Iseli 2007-01-22 06:25:55 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 10 David Goldberg 2007-01-23 23:40:34 EST
The problem appears to be fixed in FC5 with the 2.6.18-1.2257.fc5 kernel (I
don't have any older ones left on my box to try).  This can be closed.
Comment 11 Stefan Richter 2008-03-04 11:34:54 EST
Would anybody please close this bug?

Note You need to log in before you can comment on or make changes to this bug.